@media (max-width: 480px) {
    .category-section {
        margin-top: 60px;
    }
    #cat-carusel .owl-stage-outer {
        overflow: visible;
    }

    /* Контейнер каруселі */
    #cat-carusel {
        padding-right: 110px;
    }
    .container {
        max-width: 1400px;
        margin: 0 auto;
        padding: 0 10px;
        position: relative;
    }
    .category-button {
        position: absolute;
        bottom: 20px;
        left: 20px;
        right: 20px;

        display: flex;                 /* замість inline-flex */
        align-items: center;           /* по вертикалі */
        justify-content: center;       /* по горизонталі */
        gap: 14px;

        padding: 10px;
        border-radius: 900px;
        background: rgba(252, 252, 252, 0.1);
        backdrop-filter: blur(10px);

        text-decoration: none;
        cursor: pointer;
        box-shadow: 4px 4px 4px rgba(0, 0, 0, 0.07);
    }
    .category-button-text {
        text-align: center;
        white-space: nowrap;
        display: -webkit-box;
        -webkit-line-clamp: 1;
        overflow: hidden;
        text-overflow: ellipsis;
        -webkit-box-orient: vertical;
    }
    .bestsellers-btn .view-all-btn.mobile {
        display: flex;
        width: 100%;
        position: inherit;
        text-decoration: none;
        height: 48px;
        padding: 10px;
        justify-content: center;
        align-items: center;
        gap: 14px;
        border-radius: 900px;
        background: linear-gradient(to bottom, #f1f1f1 0%, #ffffff 35%);
        box-shadow: 0 4px 4px 0 rgba(0, 0, 0, 0.07);
    }
    .category-card {
        position: relative;
        width: 100%;
        height: 355px;
        border-radius: 5px;
        overflow: hidden;
        display: flex;
        align-items: flex-end;
        padding: 0px;
    }

    .bx-slider {
        height: 550px !important;
    }

    .bx-wrapper .bx-prev,
    .bx-wrapper .bx-next {
        display: none !important;
    }

    .bx-wrapper .bx-pager {
        display: none !important;
    }

    .bx-slider,
    .bx-slider .bx-viewport,
    .bx-slider .item,
    .bx-slider li {
        height: 550px !important;
    }

    /* Щоб картинки не спотворювались */
    .bx-slider img {
        width: 100%;
        height: 100%;
        object-fit: cover;
    }
    .component-header .title {
        width: 100%;
    }
    .product-tags {
        left: 0px;
        top: -35px;
    }

    .category-card {
        position: relative;
        width: 100%;
        height: 355px;
        border-radius: 5px;
        overflow: hidden;
        display: flex;
        align-items: flex-end;
        padding: 0px;
    }

    .product-benefits {
        display: none;
    }
    .product-card .product-image-container {
        height: auto;
        margin-top: 40px;
    }
    .product-cart-grid {
        grid-template-columns: 100%;
    }
    .contact-form-grid {
        grid-template-columns: 100%;
    }
    .product-cart-grid > .product-cart-item:last-child {
        order: 1;
    }
    .product-cart-grid > .product-cart-item:first-child {
        order: 2;
    }
    .payment textarea {
        width: 100%;
    }
    .product-haracterictic-title {
        text-align: left;
    }
    .product-grid {
        grid-template-columns: repeat(2, 1fr);
    }
    .features-grid {
        grid-template-columns: repeat(2, 1fr);
    }
    .guarantee-grid {
        grid-template-columns: repeat(2, 1fr);
    }
    .section-brands-main .guarantee-grid {
        grid-template-columns: repeat(2, 1fr);
    }
    .testimonials-section2 .testimonials-grid {
        grid-template-columns: repeat(1, 1fr);
    }
    .testimonials-grid {
        grid-template-columns: repeat(1, 1fr);
    }
    .category-grid {
        grid-template-columns: repeat(1, 1fr);
    }
    .gallery-item {
        width: 300px;
        height: 300px;
        background-color: #d9d9d9;
        border-radius: 0;
    }
    .footer-content {
        display: grid;
        grid-template-columns: 1fr;
        gap: 40px;
        margin-bottom: 40px;
    }
    .guarantee-blocks {
        display: grid;
        grid-template-columns: repeat(1, 1fr);
        gap: 15px;
    }
    .product-card {
        width: 100%;
    }
    .no-mobile {
        display: none;
    }
    .header {
        height: auto;
        min-height: 110px;
    }
    .header-slider {
        top: 0px;
    }

    .add-to-cart {
        width: 42px;
        height: 42px;
    }
    .mobile {
        display: block;
    }

    .scrolling-text {
        margin-top: -80px;
    }

    .mob-image {
      background: url("/img/liquid-prism-wallpaper 1.png") no-repeat;
        background-size: cover;
        padding: 28px 7px;
    }

    .mob-image .container {
        border: 1px solid #ffffff;
        padding: 45px 20px;
        border-radius: 20px;
    }

    .feature-text {
        width: 165px;
        color: var(--Black, #101010);
        text-align: center;
        font-family: "Fixel Variable";
        font-size: 1rem;
        font-style: normal;
        font-weight: 400;
        line-height: 120%;
        text-transform: uppercase;
    }

    .section-subtitle {
        font-size: 15px;
    }

    .product-card-detail-top {
        grid-template-columns: 100%;
    }

    .product-haracterictic {
        grid-template-columns: repeat(1, 1fr);
    }
    .features-grid2 {
        grid-template-columns: repeat(2, 1fr);
    }

    .testimonial-product-grid {
        grid-template-columns: repeat(1, 1fr);
    }

    .component-grid {
        display: flex;
        flex-wrap: wrap;
    }

    .component-grid-card-ul {
        grid-template-columns: repeat(1, 1fr);
    }

    .component-header2 {
        grid-template-columns: 100%;
    }

    .component-header2 img {
        width: 100%;
    }

    .product-haracterictic .first-text {
        width: 100%;
    }

    .component-grid2 {
        grid-template-columns: repeat(1, 1fr);
        gap: 10px;
    }

    .component-grid2 > div:first-child {
        order: 2;
    }

    .product-haracterictic {
        gap: 30px;
        row-gap: 30px;
        justify-content: start;
        justify-items: start;
    }

    .component-grid-card:last-child .component-header img {
        width: 100%;
    }

    .left {
        width: 25%;
    }

    .component-grid .component-grid-card:first-child {
        order: 2;
        width: 100%;
    }

    .product .testimonials-grid {
        grid-template-columns: repeat(2, 1fr);
    }

    .product .category-grid3 {
        grid-template-columns: repeat(1, 1fr);
    }

    .category-grid3 .ask-card:first-child {
        display: none;
    }

    .reviews-grid {
        grid-template-columns: repeat(1, 1fr);
    }

    .product .no-mobile, .products .no-mobile {
        display: none;
    }

    .product .mobile {
        display: block;
    }

    .product .navbar-mobile, .products .navbar-mobile {
        justify-content: space-between;
        align-items: center;
        border-radius: 30px;
        background: rgba(252, 252, 252, 0.10);
        box-shadow: 4px 4px 4px 4px rgba(0, 0, 0, 0.05);
        top: 54px;
    }

    .product .nav-actions.right , .products .nav-actions.right{
        text-align: right;
        display: flex;
        align-items: end;
        padding: 2px;
        justify-content: end;
        position: relative;
        top: -30px;
    }

    .gallery-image-product img {
        width: 100%;
    }

    .product .show-all {
        width: 80%;
    }

    .component-grid-card > .component-header {
        grid-template-columns: 100%;
    }

    .component-grid .component-grid-card:first-child .component-header {
        grid-template-columns: 100%;
        display: flex;
    }

    .product-card-grid {
        grid-template-columns: 100%;
    }

    .products .product-grid {
        grid-template-columns: repeat(2, 1fr);
    }

    .product-variant-grid {
        display: grid;
        grid-template-columns: 20% 25% 20% 35%;
    }

    .cont {
        display: grid;
        gap: 35px;
        grid-template-columns: 100%;
    }
}

@media (min-width: 481px) and (max-width: 768px) {
    .category-section {
        margin-top: 60px;
    }
    #cat-carusel .owl-stage-outer {
        overflow: visible;
    }

    /* Контейнер каруселі */
    #cat-carusel {
        padding-right: 110px;
    }
    .category-button {
        position: absolute;
        bottom: 20px;
        left: 20px;
        right: 20px;

        display: flex;                 /* замість inline-flex */
        align-items: center;           /* по вертикалі */
        justify-content: center;       /* по горизонталі */
        gap: 14px;

        padding: 10px;
        border-radius: 900px;
        background: rgba(252, 252, 252, 0.1);
        backdrop-filter: blur(10px);

        text-decoration: none;
        cursor: pointer;
        box-shadow: 4px 4px 4px rgba(0, 0, 0, 0.07);
    }
    .category-button-text {
        text-align: center;
        white-space: nowrap;
        display: -webkit-box;
        -webkit-line-clamp: 1;
        overflow: hidden;
        text-overflow: ellipsis;
        -webkit-box-orient: vertical;
    }
    .container {
        max-width: 1400px;
        margin: 0 auto;
        padding: 0 10px;
        position: relative;
    }
    .bestsellers-btn .view-all-btn.mobile {
        display: flex;
        width: 100%;
        position: inherit;
        text-decoration: none;
        height: 48px;
        padding: 10px;
        justify-content: center;
        align-items: center;
        gap: 14px;
        border-radius: 900px;
        background: linear-gradient(to bottom, #f1f1f1 0%, #ffffff 35%);
        box-shadow: 0 4px 4px 0 rgba(0, 0, 0, 0.07);
    }

    .bx-slider {
        height: 550px !important;
    }

    .bx-wrapper .bx-prev,
    .bx-wrapper .bx-next {
        display: none !important;
    }

    .bx-wrapper .bx-pager {
        display: none !important;
    }

    .bx-slider,
    .bx-slider .bx-viewport,
    .bx-slider .item,
    .bx-slider li {
        height: 550px !important;
    }

    /* Щоб картинки не спотворювались */
    .bx-slider img {
        width: 100%;
        height: 100%;
        object-fit: cover;
    }

    .product-grid {
        grid-template-columns: repeat(2, 1fr);
    }
    .product-tags {
        left: 0px;
        top: -35px;
    }
    .category-card {
        position: relative;
        width: 100%;
        height: 355px;
        border-radius: 5px;
        overflow: hidden;
        display: flex;
        align-items: flex-end;
        padding: 0px;
    }
    .product-card .product-image-container {
        height: auto;
        margin-top: 40px;
    }
    .product-benefits {
        display: none;
    }
    .product-cart-grid {
        grid-template-columns: 100%;
    }
    .contact-form-grid {
        grid-template-columns: 100%;
    }
    .product-cart-grid > .product-cart-item:last-child {
        order: 0;
    }
    .product-cart-grid > .product-cart-item:first-child {
        order: 2;
    }
    .payment textarea {
        width: 100%;
    }
    .product-haracterictic-title {
        text-align: left;
    }
    .features-grid {
        grid-template-columns: repeat(2, 1fr);
    }
    .guarantee-grid {
        grid-template-columns: repeat(2, 1fr);
    }
    .section-brands-main .guarantee-grid {
        grid-template-columns: repeat(2, 1fr);
    }
    .testimonials-section2 .testimonials-grid {
        grid-template-columns: repeat(1, 1fr);
    }
    .testimonials-grid {
        grid-template-columns: repeat(1, 1fr);
    }
    .category-grid {
        grid-template-columns: repeat(1, 1fr);
    }
    .gallery-item {
        width: 300px;
        height: 300px;
        background-color: #d9d9d9;
        border-radius: 0;
    }
    .footer-content {
        display: grid;
        grid-template-columns: 1fr;
        gap: 40px;
        margin-bottom: 40px;
    }
    .guarantee-blocks {
        display: grid;
        grid-template-columns: repeat(1, 1fr);
        gap: 15px;
    }
    .product-card {
        width: 100%;
    }
    .no-mobile {
        display: none;
    }
    .header {
        height: auto;
        min-height: 110px;
    }
    .header-slider {
        top: 0px;
    }
    .author-handle {
        font-size: 2em;
        line-height: 18.2px;
        color: #6e6e6e;
    }
    .add-to-cart {
        width: 42px;
        height: 42px;
    }
    .mobile {
        display: block;
    }
    .scrolling-text {
        margin-top: -80px;
    }
    .mob-image {
        background: url("/img/liquid-prism-wallpaper 1.png") no-repeat;
        background-size: cover;
        padding: 28px 7px;
    }
    .mob-image .container {
        border: 1px solid #ffffff;
        padding: 45px 20px;
        border-radius: 20px;
    }

    .feature-text {
        width: 165px;
        color: var(--Black, #101010);
        text-align: center;
        font-family: "Fixel Variable";
        font-size: 1rem;
        font-style: normal;
        font-weight: 400;
        line-height: 120%;
        text-transform: uppercase;
    }

    .section-subtitle {
        font-size: 15px;
    }

    .product-card-detail-top {
        grid-template-columns: repeat(1, 1fr);
    }

    .product-haracterictic {
        grid-template-columns: repeat(1, 1fr);
    }

    .features-grid2 {
        grid-template-columns: repeat(2, 1fr);
    }

    .testimonial-product-grid {
        grid-template-columns: repeat(1, 1fr);
    }

    .component-grid {
        display: flex;
        flex-wrap: wrap;
    }

    .component-grid-card-ul {
        grid-template-columns: repeat(1, 1fr);
    }

    .component-header2 {
        grid-template-columns: 100%;
    }

    .component-grid-card > .component-header {
        grid-template-columns: 100%;
    }

    .component-header2 img {
        width: 100%;
    }

    .product-haracterictic .first-text {
        width: 100%;
    }

    .component-grid2 {
        grid-template-columns: repeat(1, 1fr);
        gap: 10px;
    }

    .component-grid2 > div:first-child {
        order: 2;
    }

    .product-haracterictic {
        gap: 30px;
        row-gap: 30px;
        justify-content: start;
        justify-items: start;
    }

    .component-grid-card:last-child .component-header img {
        width: 100%;
    }

    .left {
        width: 25%;
    }

    .component-grid .component-grid-card:first-child {
        order: 2;
        width: 100%;
    }

    .product .testimonials-grid {
        grid-template-columns: repeat(2, 1fr);
    }

    .product .category-grid3 {
        grid-template-columns: repeat(1, 1fr);
    }

    .category-grid3 .ask-card:first-child {
        display: none;
    }

    .reviews-grid {
        grid-template-columns: repeat(1, 1fr);
    }

    .product .no-mobile, .products .no-mobile {
        display: none;
    }

    .product .mobile {
        display: block;
    }

    .product .navbar-mobile, .products .navbar-mobile {
        justify-content: space-between;
        align-items: center;
        border-radius: 30px;
        background: rgba(252, 252, 252, 0.10);
        box-shadow: 4px 4px 4px 4px rgba(0, 0, 0, 0.05);
        top: 54px;
    }

    .product .nav-actions.right, .products .nav-actions.right {
        text-align: right;
        display: flex;
        align-items: end;
        padding: 2px;
        justify-content: end;
        position: relative;
        top: -30px;
    }

    .gallery-image-product img {
        width: 100%;
    }

    .product .show-all {
        width: 80%;
    }

    .component-grid .component-grid-card:first-child .component-header {
        grid-template-columns: 100%;
        display: flex;
    }

    .product-card-grid {
        grid-template-columns: 100%;
    }

    .products .product-grid {
        grid-template-columns: repeat(2, 1fr);
    }

    .product-variant-grid {
        display: grid;
        grid-template-columns: 20% 25% 20% 35%;
    }

    .cont {
        display: grid;
        gap: 35px;
        grid-template-columns: 100%;
    }
}

@media (min-width: 769px) and (max-width: 1024px) {
    .category-section {
        margin-top: 60px;
    }
    #cat-carusel .owl-stage-outer {
        overflow: visible;
    }

    /* Контейнер каруселі */
    #cat-carusel {
        padding-right: 110px;
    }
    .category-button {
        position: absolute;
        bottom: 20px;
        left: 20px;
        right: 20px;

        display: flex;                 /* замість inline-flex */
        align-items: center;           /* по вертикалі */
        justify-content: center;       /* по горизонталі */
        gap: 14px;

        padding: 10px;
        border-radius: 900px;
        background: rgba(252, 252, 252, 0.1);
        backdrop-filter: blur(10px);

        text-decoration: none;
        cursor: pointer;
        box-shadow: 4px 4px 4px rgba(0, 0, 0, 0.07);
    }
    .category-button-text {
        text-align: center;
        white-space: nowrap;
        display: -webkit-box;
        -webkit-line-clamp: 1;
        overflow: hidden;
        text-overflow: ellipsis;
        -webkit-box-orient: vertical;
    }
    .container {
        max-width: 1400px;
        margin: 0 auto;
        padding: 0 10px;
        position: relative;
    }
    .bestsellers-btn .view-all-btn.mobile {
        display: flex;
        width: 100%;
        position: inherit;
        text-decoration: none;
        height: 48px;
        padding: 10px;
        justify-content: center;
        align-items: center;
        gap: 14px;
        border-radius: 900px;
        background: linear-gradient(to bottom, #f1f1f1 0%, #ffffff 35%);
        box-shadow: 0 4px 4px 0 rgba(0, 0, 0, 0.07);
    }
    .product-grid {
        grid-template-columns: repeat(2, 1fr);
    }
    .product-haracterictic-title {
        text-align: left;
    }
    .product-haracterictic
    .features-grid {
        grid-template-columns: repeat(2, 1fr);
    }
    .product-cart-grid {
        grid-template-columns: 100%;
    }
    .contact-form-grid {
        grid-template-columns: 100%;
    }
    .product-cart-grid > .product-cart-item:last-child {
        order: 1;
    }
    .product-cart-grid > .product-cart-item:first-child {
        order: 2;
    }
    .payment textarea {
        width: 100%;
    }
    .guarantee-grid {
        grid-template-columns: repeat(2, 1fr);
    }
    .section-brands-main .guarantee-grid {
        grid-template-columns: repeat(2, 1fr);
    }
    .testimonials-section2 .testimonials-grid {
        grid-template-columns: repeat(1, 1fr);
    }
    .testimonials-grid {
        grid-template-columns: repeat(1, 1fr);
    }
    .category-grid {
        grid-template-columns: repeat(1, 1fr);
    }
    .gallery-item {
        width: 300px;
        height: 300px;
        background-color: #d9d9d9;
        border-radius: 0;
    }
    .footer-content {
        display: grid;
        grid-template-columns: 1fr;
        gap: 40px;
        margin-bottom: 40px;
    }
    .guarantee-blocks {
        display: grid;
        grid-template-columns: repeat(1, 1fr);
        gap: 15px;
    }
    .product-card {
        width: 100%;
    }
    .no-mobile {
        display: none;
    }
    .header {
        height: auto;
        min-height: 110px;
    }
    .header-slider {
        top: 0px;
    }

    .add-to-cart {
        width: 42px;
        height: 42px;
    }
    .mobile {
        display: block;
    }
    .scrolling-text {
        margin-top: -80px;
    }
    .mob-image {
        background: url("/img/liquid-prism-wallpaper 1.png") no-repeat;
        background-size: cover;
        padding: 28px 7px;
    }
    .mob-image .container {
        border: 1px solid #ffffff;
        padding: 45px 20px;
        border-radius: 20px;
    }

    .feature-text {
        width: 165px;
        color: var(--Black, #101010);
        text-align: center;
        font-family: "Fixel Variable";
        font-size: 1rem;
        font-style: normal;
        font-weight: 400;
        line-height: 120%;
        text-transform: uppercase;
    }
    .section-subtitle {
        font-size: 15px;
    }
    .guarantee-text {
        font-size: 15px;
    }

    .product-card-detail-top {
        grid-template-columns: repeat(1, 1fr);
    }

    .product-haracterictic {
        grid-template-columns: repeat(1, 1fr);
    }

    .features-grid2 {
        grid-template-columns: repeat(2, 1fr);
    }

    .testimonial-product-grid {
        grid-template-columns: repeat(1, 1fr);
    }

    .component-grid {
        display: flex;
        flex-wrap: wrap;
    }

    .component-grid-card-ul {
        grid-template-columns: repeat(1, 1fr);
    }

    .component-header2 {
        grid-template-columns: 100%;
    }

    .component-grid-card > .component-header {
        grid-template-columns: 100%;
    }

    .component-header2 img {
        width: 100%;
    }

    .product-haracterictic .first-text {
        width: 100%;
    }

    .component-grid2 {
        grid-template-columns: repeat(1, 1fr);
        gap: 10px;
    }

    .component-grid2 > div:first-child {
        order: 2;
    }

    .product-haracterictic {
        gap: 30px;
        row-gap: 30px;
        justify-content: start;
        justify-items: start;
    }

    .left {
        width: 25%;
    }

    .component-grid-card:last-child .component-header img {
        width: 100%;
    }

    .component-grid .component-grid-card:first-child {
        order: 2;
        width: 100%;
    }

    .product .testimonials-grid {
        grid-template-columns: repeat(2, 1fr);
    }

    .product .category-grid3 {
        grid-template-columns: repeat(1, 1fr);
    }

    .category-grid3 .ask-card:first-child {
        display: none;
    }

    .reviews-grid {
        grid-template-columns: repeat(1, 1fr);
    }

    .product .no-mobile, .products .no-mobile {
        display: none;
    }

    .product .mobile {
        display: block;
    }

    .product .navbar-mobile, .products .navbar-mobile {
        justify-content: space-between;
        align-items: center;
        border-radius: 30px;
        background: rgba(252, 252, 252, 0.10);
        box-shadow: 4px 4px 4px 4px rgba(0, 0, 0, 0.05);
        top: 54px;
    }

    .product .nav-actions.right, .products .nav-actions.right {
        text-align: right;
        display: flex;
        align-items: end;
        padding: 2px;
        justify-content: end;
        position: relative;
        top: -30px;
    }

    .gallery-image-product img {
        width: 100%;
    }

    .product .show-all {
       width: 80%;
    }

    .component-grid .component-grid-card:first-child .component-header {
        grid-template-columns: 100%;
        display: flex;
    }

    .product-card-grid {
        grid-template-columns: 100%;
    }

    .products .product-grid {
        grid-template-columns: repeat(2, 1fr);
    }

    .product-variant-grid {
        display: grid;
        grid-template-columns: 20% 25% 20% 35%;
    }

    .cont {
        display: grid;
        gap: 35px;
        grid-template-columns: 100%;
    }
}